﻿var docObj = app.activeDocument
var lays = docObj.layers;
app.coordinateSystem = CoordinateSystem.ARTBOARDCOORDINATESYSTEM;   //アートボードを基準にする

//ノンブルの配置　ここから 
try {//ノンブルレイヤーが存在する場合   
    var newLay = lays.getByName('ノンブル');    //ノンブルレイヤーの確認
    try {
        var slays = lays['ノンブル'];   //レイヤーを指定する
        slays.locked = false;    //レイヤーのロック解除
    }catch(e){}
    slays.textFrames.removeAll();　    //テキストを全て削除    
    nonburu();  //ノンブル配置    
    slays.locked = true;   //レイヤーロック
     
} catch(e) {//表題欄レイヤーが存在しない場合 
    var layObj = lays.add();    //新しいレイヤーを作成する
    layObj.name = 'ノンブル' ;  //レイヤー名を指定する
    nonburu();  //ノンブル配置
};
//ノンブルの配置　ここまで


function nonburu(){
    for (var i = 0; i < docObj.artboards.length; i++){  //アートボードの数だけ繰り返す
        var rect = docObj.artboards[i].artboardRect;    //座標
        var left = rect[0];
        var top = rect[1];
        var right = rect[2];
        var bottom = rect[3];
    
        var txtObj = docObj.activeLayer.textFrames.add();   //新規テキスト
        txtObj.contents = ( i + 1 );    //ノンブル ※テキストを追加することも可能
        txtObj.paragraphs[0].justification = Justification.CENTER;  //paragraphs ：段落　Justification.CENTER：センター揃え
        txtObj.paragraphs[0].size = 14; //フォントサイズ
        txtObj.top = bottom + txtObj.height + 40;   //下側から
        txtObj.left = left + (right - left - txtObj.width)/2;   //左側から
     };
    return txtObj;
}
    